OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Transfer

# Transfer_ActorOfProcessForFinder Class Reference

`#include <Transfer_ActorOfProcessForFinder.hxx>`

Inheritance diagram for Transfer_ActorOfProcessForFinder:

[legend]

## Public Member Functions
Standard_EXPORT | Transfer_ActorOfProcessForFinder ()
virtual Standard_EXPORT Standard_Boolean | Recognize (const Handle(Transfer_Finder)&start)
virtual Standard_EXPORT Handle_Transfer_Binder | Transferring (const Handle(Transfer_Finder)&start, const Handle(Transfer_ProcessForFinder)&TP)
Standard_EXPORT Handle_Transfer_SimpleBinderOfTransient | TransientResult (const Handle(Standard_Transient)&res) const
Standard_EXPORT Handle_Transfer_Binder | NullResult () const
Standard_EXPORT void | SetLast (const Standard_Boolean mode=Standard_True)
Standard_EXPORT Standard_Boolean | IsLast () const
Standard_EXPORT void | SetNext (const Handle(Transfer_ActorOfProcessForFinder)&next)
Standard_EXPORT Handle_Transfer_ActorOfProcessForFinder | Next () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_Transfer_ActorOfProcessForFinder | thenext
Standard_Boolean | thelast

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_ActorOfProcessForFinder::Transfer_ActorOfProcessForFinder | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const Transfer_ActorOfProcessForFinder::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in IGESControl_ActorWrite, STEPCAFControl_ActorWrite, STEPControl_ActorWrite, and Transfer_ActorOfFinderProcess.

Standard_EXPORT Standard_Boolean Transfer_ActorOfProcessForFinder::IsLast | ( |  | ) | const

Standard_EXPORT Handle_Transfer_ActorOfProcessForFinder Transfer_ActorOfProcessForFinder::Next | ( |  | ) | const

Standard_EXPORT Handle_Transfer_Binder Transfer_ActorOfProcessForFinder::NullResult | ( |  | ) | const

virtual Standard_EXPORT Standard_Boolean Transfer_ActorOfProcessForFinder::Recognize | ( | const Handle(Transfer_Finder)& | start | ) | `[virtual]`

| Reimplemented in IGESControl_ActorWrite, and STEPControl_ActorWrite.

Standard_EXPORT void Transfer_ActorOfProcessForFinder::SetLast | ( | const Standard_Boolean | mode = `Standard_True` | ) |

Standard_EXPORT void Transfer_ActorOfProcessForFinder::SetNext | ( | const Handle(Transfer_ActorOfProcessForFinder)& | next | ) |

virtual Standard_EXPORT Handle_Transfer_Binder Transfer_ActorOfProcessForFinder::Transferring | ( | const Handle(Transfer_Finder)& | start,
|  | const Handle(Transfer_ProcessForFinder)& | TP
| ) | `[virtual]`

| Reimplemented in Transfer_ActorOfFinderProcess.

Standard_EXPORT Handle_Transfer_SimpleBinderOfTransient Transfer_ActorOfProcessForFinder::TransientResult | ( | const Handle(Standard_Transient)& | res | ) | const

## Field Documentation

Standard_Boolean Transfer_ActorOfProcessForFinder::thelast`[private]`

Handle_Transfer_ActorOfProcessForFinder Transfer_ActorOfProcessForFinder::thenext`[private]`

The documentation for this class was generated from the following file:

- Transfer_ActorOfProcessForFinder.hxx